using System;
using System.Windows.Forms;
using System.Drawing;
using System.Runtime.InteropServices;

/// <summary>
///     
/// </summary>
public class CustomPanel: System.Windows.Forms.Panel
{
	private const int HTTRANSPARENT = -1;
	private const int WM_NCHITTEST = 0x84;
	private const int HTCLIENT = 0x1;

	public CustomPanel()
	{
	}

	protected override void WndProc(ref Message m)
	{
		//
		switch(m.Msg)
		{
			case WM_NCHITTEST:
				base.WndProc(ref m);
				if ((int)m.Result == HTCLIENT)
					m.Result = (IntPtr)HTTRANSPARENT;
				return;
				break;
		}
		base.WndProc(ref m);
	}

	[DllImport("User32.dll")]
	public static extern int WindowFromPoint(Point p);
}
